import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.lang.Math;
/**
 * Write a description of class Destructible here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Destructible  extends Ground
{
    int w;
    int h;
    Color color;
    boolean fade = false;
    double percentLeft = 1.0;
    double decrement;
    public static final GreenfootSound sound = new GreenfootSound("vanish.wav");
    public Destructible(int width, int height, Color d){
        super(width, height, d);
        w = width;
        h = height;
        color = d;
        decrement = 0.1;
    }
    public Destructible(int width, int height, Color d, double dec){
        super(width, height, d);
        w = width;
        h = height;
        color = d;
        decrement = dec;
    }
    /**
     * Act - do whatever the Destructible wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(fade){
        if(percentLeft > 0){
            percentLeft -= decrement;
            GreenfootImage img = getImage();
            img.setTransparency((int)(255 * percentLeft));
            setImage(img);
        }
        else{
                getWorld().removeObject(this);
            }
        }
    }    
    
    public void setFade(){
        if(!fade){
        fade = true;
        sound.play();
       }
    }
}
