import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class flame here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Flame  extends Enemy
{   
    public boolean touched = false;
    public boolean forward = true;
    int frameCount = 0;
    public Flame(){
        speed = 2;
    }
    public Flame(int spd){
        speed = spd;

    }
    public Flame(int rotation, int spd){
        setRotation(rotation);
        speed = spd;
    }
    /**
     * Act - do whatever the flame wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        move();
        animate();
    }    
    
    public void move(){
        super.move(speed);
        if(touches(AIFlag.class) && touched == false){
            touched = true;
            forward = !forward;
            setRotation(getRotation() + 180);
        }
        if(!touches(AIFlag.class) && touched == true){
            touched = false;
        }
        if(checkEdgeWorld()){
            getWorld().removeObject(this);
        }
    }
    
    public void animate(){
        String image = "fireball0" + (frameCount%4) + ".png";
        GreenfootImage img = new GreenfootImage(image);
        img.mirrorHorizontally();
        if(!forward){
            img.mirrorVertically();
        }
        setImage(img);
        frameCount++;
    }
}
