import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;

/**
 * Write a description of class Menu here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class TitleMenu extends World implements ActionListener
{
    
    private Button normalMode;
    private Button noChkptMode;
    private GreenfootSound sound = new GreenfootSound("menubtn.wav");
    /**
     * Constructor for objects of class Menu.
     * 
     */
    public TitleMenu()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        normalMode = new Button(new GreenfootImage("normal_bttn1.png"),
                                new GreenfootImage("normal_bttn3.png"),
                                new GreenfootImage("normal_bttn2.png"));
        normalMode.setID(1001);
        normalMode.addActionListener(this);
        noChkptMode = new Button(new GreenfootImage("chkpnt_bttn1.png"),
                                new GreenfootImage("chkpnt_bttn3.png"),
                                new GreenfootImage("chkpnt_bttn2.png"));
        noChkptMode.setID(1002);
        noChkptMode.addActionListener(this);
        addObject(normalMode, 520, 303);
        addObject(noChkptMode, 478, 352);
    }
    
    public void actionPerformed(GUIComponent c){
        if(c.getID() == 1001){
            sound.play();
            Greenfoot.setWorld(new WheeWorld());
        }
        else if(c.getID() == 1002){
            sound.play();
            Greenfoot.setWorld(new WheeWorld(false));
        }
    }
}
